monthplot {stats} | R Documentation

## Plot a Seasonal or other Subseries

### Description

These functions plot seasonal (or other) subseries of a time series. For each season (or other category), a time series is plotted.

### Usage

    monthplot(x, labels = NULL, times, phase, base, choice, ...)

### Arguments

`x` | Time series or related object.
`labels` | Labels to use for each “season”.
`times` | Time of each observation.
`phase` | Indicator for each “season”.
`base` | Function to use for reference line for subseries.
`choice` | Which series of an `stl` or `StructTS` object?
`...` | Graphical parameters.

### Details

These functions extract subseries from a time series and plot them all in one frame. The `ts`, `stl`, and `StructTS` methods use the internally recorded frequency and start and finish times to set the scale and the seasons. The default method assumes observations come in groups of 12 (though this can be changed).

If the `labels` are not given but the `phase` is given, then the `labels` default to the unique values of the `phase`. If both are given, then the `phase` values are assumed to be indices into the `labels` array, i.e., they should be in the range from 1 to `length(labels)`.

### Value

These functions are executed for their side effect of drawing a seasonal subseries plot on the current graphical window.

### Author(s)

Duncan Murdoch

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`ts`, `stl`, `StructTS`

### Examples

    ## The CO2 data
    fit <- stl(log(co2), s.window = 20, t.window = 20)
    plot(fit)
    op <- par(mfrow = c(2,2))
    monthplot(co2, ylab = "data", cex.axis = 0.8)
    monthplot(fit, choice = "seasonal", cex.axis = 0.8)
    monthplot(fit, choice = "trend", cex.axis = 0.8)
    monthplot(fit, choice = "remainder", type = "h", cex.axis = 0.8)
    par(op)

    ## The CO2 data, grouped quarterly
    quarter <- (cycle(co2) - 1) %/% 3
    monthplot(co2, phase = quarter)

    ## see also JohnsonJohnson

[Package stats version 2.1.1 Index]